import http from "@/api/http.js";

const lableApi = {
  // 获取标签列表-自定义顺序
  getLableTagListCustom: (params) => {
    return http.get("/cygx/tag/list/custom", params);
  },
  // 获取标签列表
  getLableTagList: (params) => {
    return http.get("/cygx/tag/list", params);
  },
  // 撤下或上线标签
  getLableTagEnable: (params) => {
    return http.get("/cygx/tag/enable", params);
  },
  // 搜索所有的报告系列
  getLableTagSubCategoryName: (params) => {
    return http.get("/cygx/tag/subCategoryName/list", params);
  },
  // 获取关联产业列表
  getLableTagIndustrialManagement: (params) => {
    return http.get("/cygx/tag/industrialManagement/listByName", params);
  },
  // 新增标签
  postLableTagSave: (params) => {
    return http.post("/cygx/tag/save", params);
  },
  // 移动标签
  postLableTagMove: (params) => {
    return http.post("/cygx/tag/move", params);
  },
  /* 微路演视频留言列表 */
  video_and_voiceImgActivityVideo: (params) => {
    return http.get("/cygx/activityVideo/video_and_voice/img", params);
  },
  /* 热门活动接口 */
  tagHot_activityList: (params) => {
    return http.get("/cygx/tag/hot_activity/list", params);
  },
  /* 热门活动接口 */
  tagHot_activityListUpdate: (params) => {
    return http.post("/cygx/tag/hot_activity/update", params);
  },
};

export default lableApi;
